"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const h_1 = require("./h");
function CSSRender(config = {
    preserveEmptyBlock: false
}) {
    const cssr = {
        h: ((...args) => h_1.h(cssr, ...args)),
        use: (plugin, ...args) => plugin.install(cssr, ...args),
        id: Math.random().toString(36).slice(2, 10),
        context: {},
        config
    };
    return cssr;
}
exports.CSSRender = CSSRender;
